Upstream information

CVE-2007-2754 at MITRE

Description

Integer signedness error in truetype/ttgload.c in Freetype 2.3.4 and earlier might allow remote attackers to execute arbitrary code via a crafted TTF image with a negative n_points value, which leads to an integer overflow and heap-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 275072 [RESOLVED / FIXED], 275192 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
  • freetype2 >= 2.1.3-56
slrs8.x86
core9.s390
sles9-oes.x86
ul1.s390
YOU Patch Nr: 11554
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • freetype2 >= 2.0.9-140
  • freetype2-devel >= 2.0.9-140
slrs8.x86
core9.s390
sles9-oes.x86
ul1.s390
YOU Patch Nr: 11554
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • freetype2 >= 2.1.7-53.17
  • freetype2-devel >= 2.1.7-53.17
slrs8.x86
core9.s390
sles9-oes.x86
ul1.s390
YOU Patch Nr: 11554
Novell Linux Desktop 9 for x86_64
  • freetype2 >= 2.1.7-53.17
  • freetype2-32bit >= 9-200706182342
  • freetype2-devel >= 2.1.7-53.17
  • freetype2-devel-32bit >= 9-200706182342
slrs8.x86
core9.s390
sles9-oes.x86
ul1.s390
YOU Patch Nr: 11554
SUSE LINUX 10.1
  • freetype2 >= 2.1.10-18.14
  • freetype2-32bit >= 2.1.10-18.14
  • freetype2-64bit >= 2.1.10-18.14
  • freetype2-devel >= 2.1.10-18.14
  • freetype2-devel-32bit >= 2.1.10-18.14
  • freetype2-devel-64bit >= 2.1.10-18.14
SUSE LINUX 10.0
  • freetype2 >= 2.1.10-4.9
  • freetype2-32bit >= 2.1.10-4.9
  • freetype2-64bit >= 2.1.10-4.9
  • freetype2-devel >= 2.1.10-4.9
  • freetype2-devel-32bit >= 2.1.10-4.9
  • freetype2-devel-64bit >= 2.1.10-4.9